mSalsa

mSalsa Documented Class Library

mSalsa Namespace

Namespace hierarchy

Classes

Class | Description
Acting | Acting component of the Agent.
Action | Action of the Agent.
Agent | mSalsa Agent Class
Event | Event class.
Input | Input Class.
JabberClient | Class to Manage the Jabber Client agsXMPP.
Parser | Simple XML Parser.
PassivePerception | PassivePerception component of the Agent
Reasoning | Reasoning component of the Agent.
XMLmessage | Wraps an xml message.
XMLpresence | Wraps a presence message.

Enumerations

Enumeration | Description
salsa_event_type | Specifies the type of event generated in tha Perception component

Send comments on this topic.

(c) 2005 Pedro Santana - Irma Amaya


Acting Class

Acting component of the Agent.

For a list of all members of this type, see Acting Members.

System.Object
mSalsa.Acting

public class Acting

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: mSalsa

Assembly: mSalsa (in mSalsa.dll)

See Also

Acting Members | mSalsa Namespace


Acting Members

Acting overview

Public Instance Constructors

Acting Constructor Recive the Jabber Client to use it in Action Class

Public Instance Methods

act | Execute an action
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

Acting Class | mSalsa Namespace


Acting Constructor

Recive the Jabber Client to use it in Action Class

public Acting(
JabberClient jClient
);

Parameters

jClient
Jabber Client Instance

See Also

Acting Class | mSalsa Namespace


Acting Methods

The methods of the Acting class are listed below. For a complete list of Acting class members, see the Acting Members topic.

Public Instance Methods

act | Execute an action
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

Acting Class | mSalsa Namespace


Acting.act Method

Execute an action

public void act(
Action action
);

Parameters

action
Action Class Instance

See Also

Acting Class | mSalsa Namespace


Action Class

Action of the Agent.

For a list of all members of this type, see Action Members.

System.Object
mSalsa.Action

public abstract class Action

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Remarks

The developer specifies in this class the agent's action or set of actions of the Agent.

Requirements

Namespace: mSalsa

Assembly: mSalsa (in mSalsa.dll)

See Also

Action Members | mSalsa Namespace


Action Members

Action overview

Public Instance Constructors

Action Constructor Class Action constructor

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
execute | This method is implemented by the developer to specify the action of the Agent
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
sendCommandRequest | Sends a message to request to execute a command or action to other Agent.
sendMessage | Overloaded. Send a message to other Agent.
sendNotificationInfo | Sends notification info.
sendPresence | Sends a presence message.
sendRequest | Sends a message to Request information to other Agent.
sendResponse | Sends a message that Responds to a Request information of other Agent.
setProxyBroker | This method make an instance of the Jabber Client for Class Action.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

Action Class | mSalsa Namespace


Action Constructor

Class Action constructor

public Action();

See Also

Action Class | mSalsa Namespace


Action Methods

The methods of the Action class are listed below. For a complete list of Action class members, see the Action Members topic.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
execute | This method is implemented by the developer to specify the action of the Agent
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
sendCommandRequest | Sends a message to request to execute a command or action to other Agent.
sendMessage | Overloaded. Send a message to other Agent.
sendNotificationInfo | Sends notification info.
sendPresence | Sends a presence message.
sendRequest | Sends a message to Request information to other Agent.
sendResponse | Sends a message that Responds to a Request information of other Agent.
setProxyBroker | This method make an instance of the Jabber Client for Class Action.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

Action Class | mSalsa Namespace


Action.execute Method

This method is implemented by the developer to specify the action of the Agent

public abstract void execute();

See Also

Action Class | mSalsa Namespace


Action.sendCommandRequest Method

Sends a message to request to execute a command or action to other Agent.

public void sendCommandRequest(
string to,
string body,
string command,
string param
);

Parameters

to
Instant message address of the other Agent.
body
Simple message.
command
Type of the command or action. It can be the name of the command.
param
Set of xml tags specifying other information the the other agent need to execute the command.

See Also

Action Class | mSalsa Namespace


sendMessage Method

mSalsa Documented Class Library

Action.sendMessage Method

Sends a simple message to other Agent.

Overload List

Sends a simple message to other Agent.

public void sendMessage(string,string,string);

Send a message to other Agent.

public void sendMessage(string,string,string,string);

See Also

Action Class | mSalsa Namespace


Action.sendMessage Method (String, String, String)

Sends a simple message to other Agent.

public void sendMessage(
string from,
string to,
string body
);

Parameters

from
Instant message address of this Agent.
to
Instant message address of the other Agent.
body
Simple message.

Remarks

Sends a simple xml message

See Also

Action Class | mSalsa Namespace | Action.sendMessage Overload List


Action.sendMessage Method (String, String, String, String)

Send a message to other Agent.

public void sendMessage(
string to,
string body,
string type,
string param
);

Parameters

to
Instant message address of the other Agent.
body
Simple message.
type
Type of message to be sent.
param
Set of xml tags specifying other information of the message.

Remarks

Sends a SALSA message.

See Also

Action Class | mSalsa Namespace | Action.sendMessage Overload List


Action.sendNotificationInfo Method

Sends notification info.

public void sendNotificationInfo(
string to,
string body,
string type,
string param
);

Parameters

to
Instant message address of the other Agent.
body
Notification message.
type
Type of the information send to other Agent.
param
Set of xml tags specifying other information the the other agent need to send the notificacion.

See Also

Action Class | mSalsa Namespace


Action.sendPresence Method

Sends a presence message.

public void sendPresence(
string status,
string nickUser,
string area,
string location,
string typeOfAgent
);

Parameters

status
State of the agent: online, available, ...
nickUser
Name of the agent.
area
Area of the building in which this agent is located.
location
Room or specific place of the area in which this agent is located.
typeOfAgent
Type of agent: user or service.

See Also

Action Class | mSalsa Namespace


Action.sendRequest Method

Sends a message to Request information to other Agent.

public void sendRequest(
string to,
string body,
string type,
string param
);

Parameters

to
Instant message address of the other Agent.
body
Simple message.
type
Type of the information to be requested.
param
Set of xml tags specifying other information the the other agent need to retrieved the information requested.

See Also

Action Class | mSalsa Namespace


Action.sendResponse Method

Sends a message that Responds to a Request information of other Agent.

public void sendResponse(
string to,
string body,
string type,
string param
);

Parameters

to
Instant message address of the other Agent.
body
Simple message.
type
Type of the information send to other Agent.
param
Set of xml tags specifying other information the the other agent need to send the information requested.

See Also

Action Class | mSalsa Namespace


Action.setProxyBroker Method

This method make an instance of the Jabber Client for Class Action.

public void setProxyBroker(
JabberClient jClient
);

Parameters

jClient
Jabber Client Instance

See Also

Action Class | mSalsa Namespace


Agent Class

mSalsa Agent Class

For a list of all members of this type, see Agent Members.

System.Object
mSalsa.Agent

public class Agent

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: mSalsa

Assembly: mSalsa (in mSalsa.dll)

See Also

Agent Members | mSalsa Namespace


Agent Members

Agent overview

Public Instance Constructors

Agent Constructor Create an Agent instance.

Public Instance Fields

passivePerception Passive Perception instance.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

activate | Create and activate an agent that communicates through instant messaging with other agents
Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

Agent Class | mSalsa Namespace


Agent Constructor

Create an Agent instance.

public Agent();

See Also

Agent Class | mSalsa Namespace


Agent Fields

The fields of the Agent class are listed below. For a complete list of Agent class members, see the Agent Members topic.

Public Instance Fields

passivePerception Passive Perception instance.

See Also

Agent Class | mSalsa Namespace


Agent.passivePerception Field

Passive Perception instance.

public PassivePerception passivePerception;

See Also

Agent Class | mSalsa Namespace


Agent Methods

The methods of the Agent class are listed below. For a complete list of Agent class members, see the Agent Members topic.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

activate | Create and activate an agent that communicates through instant messaging with other agents
Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

Agent Class | mSalsa Namespace


Agent.activate Method

Create and activate an agent that communicates through instant messaging with other agents

protected void activate(
Reasoning rsn,
JabberClient jClient
);

Parameters

rsn
Reasoning Class Instance
jClient
Jabber Client Instance

See Also

Agent Class | mSalsa Namespace


Event Class

Event class.

For a list of all members of this type, see Event Members.

System.Object
mSalsa.Event

public class Event

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: mSalsa

Assembly: mSalsa (in mSalsa.dll)

See Also

Event Members | mSalsa Namespace


Event Members

Event overview

Public Instance Constructors

Event Constructor Create an Event that wraps the xml message perceived.

Public Instance Properties

input | Get the input object.
type | Get the type of event.
xml | Get the XML message.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

Event Class | mSalsa Namespace


Event Constructor

Create an Event that wraps the xml message perceived.

public Event(
string xml,
object obj
);

Parameters

xml
Message perceived through a Client (IM client).
obj
Object in which the event was generated.

See Also

Event Class | mSalsa Namespace


Event Properties

The properties of the Event class are listed below. For a complete list of Event class members, see the Event Members topic.

Public Instance Properties

input | Get the input object.
type | Get the type of event.
xml | Get the XML message.

See Also

Event Class | mSalsa Namespace


input Property

mSalsa Documented Class Library

Event.input Property

Get the input object.

public Input input {get; set;}

Property Value

The input object.

See Also

Event Class | mSalsa Namespace


type Property

mSalsa Documented Class Library

Event.type Property

Get the type of event.

public salsa_event_type type {get; set;}

Property Value

The type of event.

See Also

Event Class | mSalsa Namespace


xml Property

mSalsa Documented Class Library

Event.xml Property

Get the XML message.

public string xml {get; set;}

Property Value

String XML.

See Also

Event Class | mSalsa Namespace


Input Class

Input Class.

For a list of all members of this type, see Input Members.

System.Object
mSalsa.Input

public class Input

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: mSalsa

Assembly: mSalsa (in mSalsa.dll)

See Also

Input Members | mSalsa Namespace


Input Members

Input overview

Public Instance Constructors

Input Constructor Receives an object as input.

Public Instance Properties

data Data value.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

Input Class | mSalsa Namespace


Input Constructor

Receives an object as input.

public Input(
object data
);

Parameters

data
input object.

See Also

Input Class | mSalsa Namespace


Input Properties

The properties of the Input class are listed below. For a complete list of Input class members, see the Input Members topic.

Public Instance Properties

data Data value.

See Also

Input Class | mSalsa Namespace


data Property

mSalsa Documented Class Library

Input.data Property

Data value.

public object data {get; set;}

Property Value

The Data Object.

See Also

Input Class | mSalsa Namespace


JabberClient Class

Class to Manage the Jabber Client agsXMPP.

For a list of all members of this type, see JabberClient Members.

System.Object
agsXMPP.XmppClientConnection
mSalsa.JabberClient

public class JabberClient : XmppClientConnection

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: mSalsa

Assembly: mSalsa (in mSalsa.dll)

See Also

JabberClient Members | mSalsa Namespace


JabberClient Members

JabberClient overview

Public Instance Constructors

JabberClient Constructor Connect to the Jabber Server.

Public Instance Properties

Authenticated (inherited from agsXMPP.XmppClientConnection)
AutoAgents (inherited from agsXMPP.XmppClientConnection)
AutoRoster (inherited from agsXMPP.XmppClientConnection)
Binded (inherited from agsXMPP.XmppClientConnection)
IqGrabber (inherited from agsXMPP.XmppClientConnection)
KeepAlive (inherited from agsXMPP.XmppClientConnection)
KeepAliveInterval (inherited from agsXMPP.XmppClientConnection)
MesagageGrabber (inherited from agsXMPP.XmppClientConnection)
MyJID (inherited from agsXMPP.XmppClientConnection)
Password (inherited from agsXMPP.XmppClientConnection)
Port (inherited from agsXMPP.XmppClientConnection)
Priority (inherited from agsXMPP.XmppClientConnection)
Resource (inherited from agsXMPP.XmppClientConnection)
Server (inherited from agsXMPP.XmppClientConnection)
Show (inherited from agsXMPP.XmppClientConnection)
Status (inherited from agsXMPP.XmppClientConnection)
StreamId (inherited from agsXMPP.XmppClientConnection)
StreamParser (inherited from agsXMPP.XmppClientConnection)
StreamVersion (inherited from agsXMPP.XmppClientConnection)
Username (inherited from agsXMPP.XmppClientConnection)
UseSSL (inherited from agsXMPP.XmppClientConnection)

Public Instance Methods

Close (inherited from agsXMPP.XmppClientConnection) |
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
Open (inherited from agsXMPP.XmppClientConnection) | Overloaded.
RequestAgents (inherited from agsXMPP.XmppClientConnection) |
RequestRoster (inherited from agsXMPP.XmppClientConnection) |
Send (inherited from agsXMPP.XmppClientConnection) | Overloaded.
SendMyPresence (inherited from agsXMPP.XmppClientConnection) |
SendOpenStream (inherited from agsXMPP.XmppClientConnection) |
setReasoning | Set the reasoning component to the Jabber client.
ToString (inherited from Object) | Returns a String that represents the current Object.

Public Instance Events

OnAgentEnd (inherited from agsXMPP.XmppClientConnection)
OnAgentItem (inherited from agsXMPP.XmppClientConnection)
OnAgentStart (inherited from agsXMPP.XmppClientConnection)
OnClose (inherited from agsXMPP.XmppClientConnection)
OnError (inherited from agsXMPP.XmppClientConnection)
OnIq (inherited from agsXMPP.XmppClientConnection)
OnLogin (inherited from agsXMPP.XmppClientConnection)
OnMessage (inherited from agsXMPP.XmppClientConnection)
OnPresence (inherited from agsXMPP.XmppClientConnection)
OnReadXml (inherited from agsXMPP.XmppClientConnection)
OnRosterEnd (inherited from agsXMPP.XmppClientConnection)
OnRosterItem (inherited from agsXMPP.XmppClientConnection)
OnRosterStart (inherited from agsXMPP.XmppClientConnection)
OnSaslEnd (inherited from agsXMPP.XmppClientConnection)
OnSaslStart (inherited from agsXMPP.XmppClientConnection)
OnWriteXml (inherited from agsXMPP.XmppClientConnection)

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

JabberClient Class | mSalsa Namespace


JabberClient Constructor

Connect to the Jabber Server.

public JabberClient(
string server,
int port,
string user,
string pass
);

Parameters

server
Jabber Server.
port
Jabber Server Port.
user
Jabber User.
pass
Jabber User Password.

See Also

JabberClient Class | mSalsa Namespace


JabberClient Methods

The methods of the JabberClient class are listed below. For a complete list of JabberClient class members, see the JabberClient Members topic.

Public Instance Methods

Close (inherited from agsXMPP.XmppClientConnection) |
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
Open (inherited from agsXMPP.XmppClientConnection) | Overloaded.
RequestAgents (inherited from agsXMPP.XmppClientConnection) |
RequestRoster (inherited from agsXMPP.XmppClientConnection) |
Send (inherited from agsXMPP.XmppClientConnection) | Overloaded.
SendMyPresence (inherited from agsXMPP.XmppClientConnection) |
SendOpenStream (inherited from agsXMPP.XmppClientConnection) |
setReasoning | Set the reasoning component to the Jabber client.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

JabberClient Class | mSalsa Namespace


JabberClient.setReasoning Method

Set the reasoning component to the Jabber client.

public void setReasoning(
Reasoning rsn
);

Parameters

rsn
Reasoning component

See Also

JabberClient Class | mSalsa Namespace


Parser Class

Simple XML Parser.

For a list of all members of this type, see Parser Members.

System.Object
mSalsa.Parser

public class Parser

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: mSalsa

Assembly: mSalsa (in mSalsa.dll)

See Also

Parser Members | mSalsa Namespace


Parser Members

Parser overview

Public Instance Constructors

Parser Overloaded. Initializes a new instance of the Parser class.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
getAtt | Get the attribute of a XML node.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
getTag | Get the value of some tag.
getType | Overloaded. Get the type of XML Message.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

Parser Class | mSalsa Namespace


Parser Constructor

Create an instance of the parser.

Overload List

Obsolete. Create an instance of the parser.

public Parser();

Create an instance of the parser.

public Parser(string);

See Also

Parser Class | mSalsa Namespace


Parser Constructor (String)

Create an instance of the parser.

public Parser(
string xml
);

Parameters

xml
The XML document.

See Also

Parser Class | mSalsa Namespace | Parser Constructor Overload List


Parser Constructor ()

NOTE: This constructor is now obsolete.

Use Parser(string xml) instead

Create an instance of the parser.

public Parser();

See Also

Parser Class | mSalsa Namespace | Parser Constructor Overload List


Parser Methods

The methods of the Parser class are listed below. For a complete list of Parser class members, see the Parser Members topic.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
getAtt | Get the attribute of a XML node.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
getTag | Get the value of some tag.
getType | Overloaded. Get the type of XML Message.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

Parser Class | mSalsa Namespace


Parser.getAtt Method

Get the attribute of a XML node.

public string getAtt(
string node,
string att
);

Parameters

node
The XML node
att
The attribute to search

Return Value

The value of the attribute.

See Also

Parser Class | mSalsa Namespace


Parser.getTag Method

Get the value of some tag.

public string getTag(
string element
);

Parameters

element
The XML tag.

Return Value

The value of the tag.

See Also

Parser Class | mSalsa Namespace


Parser.getType Method ()

Get the type of XML Message.

public string getType();

Return Value

The type of message in a string.

See Also

Parser Class | mSalsa Namespace | Parser.getType Overload List


Parser.getType Method (String, String)

NOTE: This method is now obsolete.

Use getType() instead

Get the type of XML Message.

public string getType(
string element,
string tag
);

Parameters

element
The XML tag.
tag
The XML attribute to search the type.

Return Value

The type of message in a string.

See Also

Parser Class | mSalsa Namespace | Parser.getType Overload List


PassivePerception Class

PassivePerception component of the Agent

For a list of all members of this type, see PassivePerception Members.

System.Object
mSalsa.PassivePerception

public class PassivePerception

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: mSalsa

Assembly: mSalsa (in mSalsa.dll)

See Also

PassivePerception Members | mSalsa Namespace


PassivePerception Members

PassivePerception overview

Public Instance Constructors

PassivePerception Constructor Links this PassivePerception with an Agent.

Public Instance Fields

reasoning Instance of the Reasoning component.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
perceive | The PassiveEntityToPerceive will notify the information received by invoking this method. When a SALSA message is perceived, this method will generate a SALSA event and notify it to the reasoning component of the agent.
setReasoning | Set the reasoning component to the agent.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

PassivePerception Class | mSalsa Namespace


PassivePerception Constructor

Links this PassivePerception with an Agent.

public PassivePerception();

See Also

PassivePerception Class | mSalsa Namespace


PassivePerception Fields

The fields of the PassivePerception class are listed below. For a complete list of PassivePerception class members, see the PassivePerception Members topic.

Public Instance Fields

reasoning Instance of the Reasoning component.

See Also

PassivePerception Class | mSalsa Namespace


PassivePerception.reasoning Field

Instance of the Reasoning component.

public Reasoning reasoning;

See Also

PassivePerception Class | mSalsa Namespace


PassivePerception Methods

The methods of the PassivePerception class are listed below. For a complete list of PassivePerception class members, see the PassivePerception Members topic.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
perceive | The PassiveEntityToPerceive will notify the information received by invoking this method. When a SALSA message is perceived, this method will generate a SALSA event and notify it to the reasoning component of the agent.
setReasoning | Set the reasoning component to the agent.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

PassivePerception Class | mSalsa Namespace


PassivePerception.perceive Method

The PassiveEntityToPerceive will notify the information received by invoking this method.

When a SALSA message is perceived, this method will generate a SALSA event and notify it to the reasoning component of the agent.

public void perceive(
Input input
);

Parameters

input
Wraps the information perceived, which can be an XMLpresence, XMLmessage, or any other kind of object.

See Also

PassivePerception Class | mSalsa Namespace


PassivePerception.setReasoning Method

Set the reasoning component to the agent.

public void setReasoning(
Reasoning rsn
);

Parameters

rsn
The reasoning component

See Also

PassivePerception Class | mSalsa Namespace


Reasoning Class

Reasoning component of the Agent.

For a list of all members of this type, see Reasoning Members.

System.Object
mSalsa.Reasoning

public abstract class Reasoning

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: mSalsa

Assembly: mSalsa (in mSalsa.dll)

See Also

Reasoning Members | mSalsa Namespace


Reasoning Members

Reasoning overview

Public Instance Constructors

Reasoning Constructor Create the instance of the reasoning component.

Public Instance Fields

acting Acting component

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
setActing | Set the Acting component.
think | Overwrite this method to specify the reasoning algorithm.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

Reasoning Class | mSalsa Namespace


Reasoning Constructor

Create the instance of the reasoning component.

public Reasoning();

See Also

Reasoning Class | mSalsa Namespace


Reasoning Fields

The fields of the Reasoning class are listed below. For a complete list of Reasoning class members, see the Reasoning Members topic.

Public Instance Fields

acting Acting component

See Also

Reasoning Class | mSalsa Namespace


Reasoning.acting Field

Acting component

public Acting acting;

See Also

Reasoning Class | mSalsa Namespace


Reasoning Methods

The methods of the Reasoning class are listed below. For a complete list of Reasoning class members, see the Reasoning Members topic.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
setActing | Set the Acting component.
think | Overwrite this method to specify the reasoning algorithm.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

Reasoning Class | mSalsa Namespace


Reasoning.setActing Method

Set the Acting component.

public void setActing(
Acting acting
);

Parameters

acting
The Acting component.

See Also

Reasoning Class | mSalsa Namespace


Reasoning.think Method

Overwrite this method to specify the reasoning algorithm.

public abstract void think(
salsa_event_type ev,
string xml
);

Parameters

ev
Event generated in the perception component which invoks the think method
xml
The XML Jabber message.

See Also

Reasoning Class | mSalsa Namespace


salsa_event_type Enumeration

Specifies the type of event generated in tha Perception component

public enum salsa_event_type

Members

Member Name | Description
StateChangeEvent | State Change event.
UserEvent | User Event.
ArriveCommandEvent | Command Event.
ArriveResponseEvent | Response event.
ArriveNotificationInfoEvent | Notification Info Event.
ArriveRequestEvent | Request Event.
ArriveContextualMsgEvent | contextual Message Event.
ArriveComponentEvent | Component Event.
ArriveSimpleMessageEvent | Simple Message Event.
ArrivePresenceEvent | Presence Event.
ArriveSensorDataEvent | Sensor Data Event.

Requirements

Namespace: mSalsa

Assembly: mSalsa (in mSalsa.dll)

See Also

mSalsa Namespace


XMLmessage Class

Wraps an xml message.

For a list of all members of this type, see XMLmessage Members.

System.Object
mSalsa.XMLmessage

public class XMLmessage

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: mSalsa

Assembly: mSalsa (in mSalsa.dll)

See Also

XMLmessage Members | mSalsa Namespace


XMLmessage Members

XMLmessage overview

Public Instance Constructors

XMLmessage Constructor Initialize the msg variable.

Public Instance Fields

msg Contains a xml message.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

XMLmessage Class | mSalsa Namespace


XMLmessage Constructor

Initialize the msg variable.

public XMLmessage(
string msg
);

Parameters

msg
An xml message.

See Also

XMLmessage Class | mSalsa Namespace


XMLmessage Fields

The fields of the XMLmessage class are listed below. For a complete list of XMLmessage class members, see the XMLmessage Members topic.

Public Instance Fields

msg Contains a xml message.

See Also

XMLmessage Class | mSalsa Namespace


XMLmessage.msg Field

Contains a xml message.

public string msg;

See Also

XMLmessage Class | mSalsa Namespace


XMLpresence Class

Wraps a presence message.

For a list of all members of this type, see XMLpresence Members.

System.Object
mSalsa.XMLpresence

public class XMLpresence

Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

Requirements

Namespace: mSalsa

Assembly: mSalsa (in mSalsa.dll)

See Also

XMLpresence Members | mSalsa Namespace


XMLpresence Members

XMLpresence overview

Public Instance Constructors

XMLpresence Constructor Initialize the presence variable.

Public Instance Fields

presence Contains a xml presence.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

XMLpresence Class | mSalsa Namespace


XMLpresence Constructor

Initialize the presence variable.

public XMLpresence(
string presence
);

Parameters

presence
Presence message.

See Also

XMLpresence Class | mSalsa Namespace


XMLpresence Fields

The fields of the XMLpresence class are listed below. For a complete list of XMLpresence class members, see the XMLpresence Members topic.

Public Instance Fields

presence Contains a xml presence.

See Also

XMLpresence Class | mSalsa Namespace


XMLpresence.presence Field

Contains a xml presence.

public string presence;

See Also

XMLpresence Class | mSalsa Namespace


mSalsaHierarchy

mSalsa Documented Class Library

mSalsa Hierarchy

System.Object
agsXMPP.XmppClientConnection
mSalsa.JabberClient
mSalsa.Acting
mSalsa.Action
mSalsa.Agent
mSalsa.Event
mSalsa.Input
mSalsa.Parser
mSalsa.PassivePerception
mSalsa.Reasoning
mSalsa.XMLmessage
mSalsa.XMLpresence
System.ValueType
System.Enum ---- System.IComparable, System.IConvertible, System.IFormattable
mSalsa.salsa_event_type

See Also

mSalsa Namespace